Pods
Get Pod
Path Parameters
pod_id*string
ID of pod.
Header Parameters
Authorization*string
Bearer authentication
Response Body
application/json
application/json
curl -X GET "https://api.agentry.to/organization/v0/pods/string" \ -H "Authorization: string"{
"pod_id": "string",
"name": "string",
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"client_id": "string"
}{
"name": "string",
"message": "string"
}Delete Pod
Path Parameters
pod_id*string
ID of pod.
Header Parameters
Authorization*string
Bearer authentication
Response Body
application/json
curl -X DELETE "https://api.agentry.to/organization/v0/pods/string" \ -H "Authorization: string"Empty
{
"name": "string",
"message": "string"
}List Pods
Query Parameters
limit?integer
Limit of number of items returned.
page_token?string
Page token for pagination.
ascending?boolean
Sort in ascending temporal order.
Header Parameters
Authorization*string
Bearer authentication
Response Body
application/json
curl -X GET "https://api.agentry.to/organization/v0/pods" \ -H "Authorization: string"{
"count": 0,
"limit": 0,
"next_page_token": "string",
"pods": [
{
"pod_id": "string",
"name": "string",
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"client_id": "string"
}
]
}Create Pod
Header Parameters
Authorization*string
Bearer authentication
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://api.agentry.to/organization/v0/pods" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"pod_id": "string",
"name": "string",
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"client_id": "string"
}{
"name": "string",
"errors": null
}